<?php

namespace Drupal\entity_sanitizer;

use Drupal\Core\Plugin\PluginBase;

/**
 * Base class for 'Field Sanitizer' plugin implementations.
 *
 * Performs no sanitizing on any fields.
 *
 * @ingroup entity_sanitizer
 */
abstract class FieldSanitizerBase extends PluginBase implements FieldSanitizerInterface {

  /**
   * {@inheritdoc}
   */
  public function getFieldValues(string $table_name, string $field_name, array $columns): array {
    return [];
  }

  /**
   * Get a human readable field name.
   *
   * @param string $field_name
   *   The original database field name.
   *
   * @return string
   *   A human readable field name.
   */
  public function readableFieldName(string $field_name): string {
    return '';
  }

}
